Bug 1615194 - default value for logging_elasticsearch_rollout_override is missing
Summary: default value for logging_elasticsearch_rollout_override is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.10.z
Assignee: ewolinet
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1602015
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-13 01:57 UTC by Anping Li
Modified: 2018-08-31 06:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Ansible 2.6.0 will not evaluate undefined variables with `|bool` as false. Consequence: We must define a | default(false) for logging_elasticsearch_rollout_override Fix: specify a default on the when condition Result: The playbook executes successfully
Clone Of: 1602015
Environment:
Last Closed: 2018-08-31 06:18:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2335 None None None 2018-08-13 01:57:38 UTC
Red Hat Product Errata RHBA-2018:2376 None None None 2018-08-31 06:18:22 UTC

Comment 1 Anping Li 2018-08-13 01:58:29 UTC
Hit same issue when use openshift-ansible-3.10.27-1.git.0.d5723a3.el7.noarch.rpm and ansible-2.6.

Comment 4 Anping Li 2018-08-23 11:06:10 UTC
The fix work well with openshift-ansible:v3.10.34

Comment 6 errata-xmlrpc 2018-08-31 06:18:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2376


Note You need to log in before you can comment on or make changes to this bug.